Bug 1686013 - Unable to install katello-agent on rhel 8 : nothing provides python3-qpid-proton needed by python3-gofer-proton
Summary: Unable to install katello-agent on rhel 8 : nothing provides python3-qpid-pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1661283
TreeView+ depends on / blocked
 
Reported: 2019-03-06 14:33 UTC by Nikhil Kathole
Modified: 2019-10-07 17:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:32 UTC

Description Nikhil Kathole 2019-03-06 14:33:46 UTC
Description of problem:

Trying to install katello-agent on rhel 8 failed due to dependency issue:

# dnf install katello-agent
Updating Subscription Management repositories.
rhel8appstream                                                                                                    1.0 kB/s | 2.9 kB     00:03    
rhel8baseos                                                                                                       996  B/s | 2.9 kB     00:03    
rhel 8 x86                                                                                                        1.2 kB/s | 2.5 kB     00:02    
Error: 
 Problem: package katello-agent-3.4.2-2.el8sat.noarch requires python3-gofer-proton, but none of the providers can be installed
  - conflicting requests
  - nothing provides python3-qpid-proton >= 0.9-5 needed by python3-gofer-proton-2.12.5-2.el8sat.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


Version-Release number of selected component (if applicable):

Satellite 6.5 snap 18


How reproducible: always


Steps to Reproduce:
1. Register rhel 8 with satellite 6
2. dnf install katello-agent

Actual results:
Error: 
 Problem: package katello-agent-3.4.2-2.el8sat.noarch requires python3-gofer-proton, but none of the providers can be installed
  - conflicting requests
  - nothing provides python3-qpid-proton >= 0.9-5 needed by python3-gofer-proton-2.12.5-2.el8sat.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


Expected results: Successful katello-agent install.


Additional info:

# yum repolist
Updating Subscription Management repositories.
rhel8appstream                                                                                                    1.0 kB/s | 2.9 kB     00:03    
rhel8baseos                                                                                                       1.0 kB/s | 2.9 kB     00:02    
rhel 8 x86                                                                                                        852  B/s | 2.5 kB     00:03    
repo id                                                                               repo name                                             status
Default_Organization_rhel_8_x86_rhel8appstream                                        rhel8appstream                                        4,662
Default_Organization_rhel_8_x86_rhel8baseos                                           rhel8baseos                                           1,670
Default_Organization_rhel_8_x86_rhel_8_x86                                            rhel 8 x86                                                8

Comment 3 Evgeni Golov 2019-03-06 18:50:13 UTC
will be fixed in next snap

Comment 4 Nikhil Kathole 2019-03-11 10:21:49 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 19

# yum repolist
Updating Subscription Management repositories.
rhel8appstream                                                                                                     31 MB/s | 6.3 MB     00:00    
rhel8baseos                                                                                                        22 MB/s | 2.6 MB     00:00    
rhel 8 x86                                                                                                        129 kB/s |  13 kB     00:00    
repo id                                                                               repo name                                             status
Default_Organization_rhel_8_x86_rhel8appstream                                        rhel8appstream                                        4,662
Default_Organization_rhel_8_x86_rhel8baseos                                           rhel8baseos                                           1,670
Default_Organization_rhel_8_x86_rhel_8_x86                                            rhel 8 x86                                               13
[root@hp-dl80gen9-01 ~]# yum install katello-agent
Updating Subscription Management repositories.
rhel8appstream                                                                                                     92 kB/s | 2.9 kB     00:00    
rhel8baseos                                                                                                        99 kB/s | 2.9 kB     00:00    
rhel 8 x86                                                                                                         80 kB/s | 2.5 kB     00:00    
Dependencies resolved.
==================================================================================================================================================
 Package                                  Arch             Version                     Repository                                            Size
==================================================================================================================================================
Installing:
 katello-agent                            noarch           3.4.2-2.el8sat              Default_Organization_rhel_8_x86_rhel_8_x86            44 k
Installing dependencies:
 python3-gofer                            noarch           2.12.5-3.el8sat             Default_Organization_rhel_8_x86_rhel_8_x86           201 k
 qpid-proton-c                            x86_64           0.26.0-3.el8                Default_Organization_rhel_8_x86_rhel_8_x86           193 k
 katello-host-tools                       noarch           3.4.2-2.el8sat              Default_Organization_rhel_8_x86_rhel_8_x86            34 k
 katello-host-tools-fact-plugin           noarch           3.4.2-2.el8sat              Default_Organization_rhel_8_x86_rhel_8_x86            18 k
 python3-gofer-proton                     noarch           2.12.5-3.el8sat             Default_Organization_rhel_8_x86_rhel_8_x86            62 k
 gofer                                    noarch           2.12.5-3.el8sat             Default_Organization_rhel_8_x86_rhel_8_x86            54 k
 python3-qpid-proton                      x86_64           0.26.0-3.el8                Default_Organization_rhel_8_x86_rhel_8_x86           407 k

Transaction Summary
==================================================================================================================================================
Install  8 Packages

Total download size: 1.0 M
Installed size: 3.9 M
Is this ok [y/N]: y
Downloading Packages:
(1/8): qpid-proton-c-0.26.0-3.el8.x86_64.rpm                                                                      160 kB/s | 193 kB     00:01    
(2/8): katello-host-tools-fact-plugin-3.4.2-2.el8sat.noarch.rpm                                                   106 kB/s |  18 kB     00:00    
(3/8): katello-host-tools-3.4.2-2.el8sat.noarch.rpm                                                                24 kB/s |  34 kB     00:01    
(4/8): python3-gofer-2.12.5-3.el8sat.noarch.rpm                                                                   139 kB/s | 201 kB     00:01    
(5/8): katello-agent-3.4.2-2.el8sat.noarch.rpm                                                                    331 kB/s |  44 kB     00:00    
(6/8): gofer-2.12.5-3.el8sat.noarch.rpm                                                                           615 kB/s |  54 kB     00:00    
(7/8): python3-gofer-proton-2.12.5-3.el8sat.noarch.rpm                                                            526 kB/s |  62 kB     00:00    
(8/8): python3-qpid-proton-0.26.0-3.el8.x86_64.rpm                                                                1.9 MB/s | 407 kB     00:00    
--------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                             589 kB/s | 1.0 MB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                          1/1 
  Installing       : python3-gofer-2.12.5-3.el8sat.noarch                                                                                     1/8 
  Installing       : gofer-2.12.5-3.el8sat.noarch                                                                                             2/8 
  Running scriptlet: gofer-2.12.5-3.el8sat.noarch                                                                                             2/8 
  Installing       : katello-host-tools-fact-plugin-3.4.2-2.el8sat.noarch                                                                     3/8 
  Installing       : katello-host-tools-3.4.2-2.el8sat.noarch                                                                                 4/8 
  Installing       : qpid-proton-c-0.26.0-3.el8.x86_64                                                                                        5/8 
  Running scriptlet: qpid-proton-c-0.26.0-3.el8.x86_64                                                                                        5/8 
  Installing       : python3-qpid-proton-0.26.0-3.el8.x86_64                                                                                  6/8 
  Installing       : python3-gofer-proton-2.12.5-3.el8sat.noarch                                                                              7/8 
  Installing       : katello-agent-3.4.2-2.el8sat.noarch                                                                                      8/8 
  Running scriptlet: katello-agent-3.4.2-2.el8sat.noarch                                                                                      8/8 
Created symlink /etc/systemd/system/multi-user.target.wants/goferd.service → /usr/lib/systemd/system/goferd.service.

  Running scriptlet: katello-host-tools-3.4.2-2.el8sat.noarch                                                                                 8/8 
  Running scriptlet: katello-agent-3.4.2-2.el8sat.noarch                                                                                      8/8 
  Verifying        : python3-gofer-2.12.5-3.el8sat.noarch                                                                                     1/8 
  Verifying        : qpid-proton-c-0.26.0-3.el8.x86_64                                                                                        2/8 
  Verifying        : katello-host-tools-3.4.2-2.el8sat.noarch                                                                                 3/8 
  Verifying        : katello-host-tools-fact-plugin-3.4.2-2.el8sat.noarch                                                                     4/8 
  Verifying        : katello-agent-3.4.2-2.el8sat.noarch                                                                                      5/8 
  Verifying        : python3-gofer-proton-2.12.5-3.el8sat.noarch                                                                              6/8 
  Verifying        : gofer-2.12.5-3.el8sat.noarch                                                                                             7/8 
  Verifying        : python3-qpid-proton-0.26.0-3.el8.x86_64                                                                                  8/8 
Installed products updated.

Installed:
  katello-agent-3.4.2-2.el8sat.noarch        python3-gofer-2.12.5-3.el8sat.noarch                   qpid-proton-c-0.26.0-3.el8.x86_64            
  katello-host-tools-3.4.2-2.el8sat.noarch   katello-host-tools-fact-plugin-3.4.2-2.el8sat.noarch   python3-gofer-proton-2.12.5-3.el8sat.noarch  
  gofer-2.12.5-3.el8sat.noarch               python3-qpid-proton-0.26.0-3.el8.x86_64               

Complete!

Comment 7 errata-xmlrpc 2019-05-14 12:40:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.